require("Script.函数.功能函数")
require("Script.函数.模块函数")
require("Script.函数.任务函数")
require("Script.函数.异界")
require("Script.函数.全局")
require("Script.函数.静态成员")

重新加载("Script.函数.功能函数")
重新加载("Script.函数.模块函数")
重新加载("Script.函数.任务函数")
重新加载("Script.函数.异界")
重新加载("Script.函数.全局")


L屏蔽下层路口("無盡深淵")

L加载配置_一体化()
local 返回一次藏身处=1
local _城镇事件不处理=0
local 使用一次Esc=1
while	To(100)==1		do 
	local 地图Ptr=L地图信息()
	local _缺少地图="缺少地图"
	if	L进入游戏()==0			then --
		L信息("正在进入游戏中....")
		goto Next
	end
	if 使用一次Esc==1		then 
		LEsc()
		使用一次Esc=0
	end


	if 地图Ptr.位置==0	 then

		if L倒货状态()==1		then 
			L自动倒货()
			L信息("当前处于倒货状态中....")
			goto Next
		elseif 地图Ptr.地图等级<65		then 
			L返回城镇()
			L信息("当前处于剧情地图.选择回城..")
			goto Next 
	
		end 
		D重置状态()
		L重置指定事件计数(_缺少地图)
		g回城优先存仓一次=0
		L搜索路口()
		if	  Fn_包满回城()==1			then --
		
			_城镇事件不处理=1
			L信息("当前执行 => 背包满了选择回城")
			L设置背满事件(1)
			goto Next

		end 
		L异界是否完成()
		L祭坛商店购物()

		if FB_自动切换事件(地图Ptr.地图类名)==1			then -- --判断机关地图		
			goto Next
		end 


		if	g常规设置.不点丰碑<=0	and	Fn_点击不同对象事件(地图Ptr)==1			then --
			--L设置探索地图(探索类型.暂停)
	
			goto Next
		end

		if	L地图是否完成()~=0			then -- 
			L信息("当前执行: => 地图探索完成...")
			if L祭坛商店购物(1)==1 then
				-- body
				L信息("正在处理祭坛购物....")
			elseif	L结束迷雾()==1	then 
				L信息("正在结束迷雾事件....")
			else 
				if Q_前往异界BOSS复活点回城()==1		then 
					L返回城镇()
				end
				
			end
		
			goto Next
		else 
		
			if Fn_前往死亡坐标()==1		then 
	
		--	elseif L精英数量()==0		then 
		--		Fn_前往模块坐标_异界专用(地图Ptr.地图名称,15,1)
			end
		end
	

	else 
		g全局记录变量.全局记录还未清空=1

		L关闭地图探索()
		if 地图Ptr.位置==2			then --
			返回一次藏身处=1
			if G交易完返回自己藏身处==0 and L自身藏身处()==0			then --
				L返回藏身处()
			end
		end 




		
		if 地图Ptr.位置~=0	and	地图Ptr.位置~=2	and	 返回一次藏身处==1 then
			-- body
			L返回藏身处()
			返回一次藏身处=0
			goto Next
		end

		if 地图Ptr.位置==3			then --
			if 返回一次藏身处==0		then 
				L选择藏身处()
			end 

			if g高等級角色在高地之塔返回藏身處==0		then 
				local 角色等級=L自身信息()
				if 角色等級.等级>=90		then 
					L返回藏身处()
				end
				g高等級角色在高地之塔返回藏身處=1
			end 
		end

		if G交易完返回自己藏身处~=2 and L执行间隔("30秒执行一次Esc",30*1000)==1	and L倒货状态()~=1 	then 
			if L可视UI(UI_可视偏移.UI打开NPC框)==1      then 
				L结束对话()
			end
			LEsc()
			L放下鼠标上的物品()
		end 
		
	
		if Fn_读取仓库信息()==0 then
			-- body
			L信息("当前正在读取仓库信息")
			goto Next
		end

		if g常规设置.公会仓库页最大读取页数>0	and	Fn_读取公会仓库信息()==0 then
			-- body
			L信息("当前正在读取公会仓库信息")
			goto Next
		end

		if Fn_切换配置_重置天赋()==1			then --
			goto Next
		end 

		if L执行间隔("读取仓库物品间隔",60*1000)==1			then --
			L记录神圣数量()
		end 

	
		if Fn_藏身處补充药剂(地图Ptr)==1			then --
			L信息("补充药剂")
			goto Next
		end 
	
		if	L倒货状态()==0 and Fn_包满回城()==1			then --
			D重置状态()
			L信息("需要处理背包...")
			_城镇事件不处理=1
		end



		if g回城优先存仓一次==0 			then --
			if  Fn_处理存仓()==1	then 
				L信息("优先存入符合存仓且不想鉴定的物品...")
				goto Next
			end
		end 


		g回城优先存仓一次=1


		if Fn_地图鉴定(地图Ptr)==1		then 
			L信息("鉴定物品...")
			goto Next
		end
		if Fn_藏身處补充药剂(地图Ptr)==1			then --
			L信息("补充药剂")
			goto Next
		end 
	
		if Fn_处理分解()==1			then --
			L信息("分解中...")
			goto Next
		end 

		if G自动提升一次战力==0			then --
			if Fn_提升战力()==1			then --
				goto Next
			end 
			L信息("完成战力提升...")
			G自动提升一次战力=1
		end 


		--L信息("累计刷图次数: "..L累计刷图次数().."@@"..g每次兑换容错次数.."@@"..g当前兑换通货是否已经执行)
		if L累计刷图次数()>5			then --
			L信息("刷图次数大于5 ，进行一轮背包清理")
			_城镇事件不处理=1
		end

		if _城镇事件不处理==1		then

			if Fn_藏身处卡位检测(地图Ptr)==1		then 
				L信息("检测到藏身处卡位了...")
				goto Next
			end 
			
			if	Fn_藏身处物品处理()==1			then --
				L信息("藏身处物品处理")
				goto Next
			end

			if Fn_当前是否存在公会仓库()==1 and L执行个人物品转公会()==1			then --
				L背包处理()
				L信息("正执行个人物品转公会仓库...")
				goto Next
			end 
	
			if Fn_当前是否存在公会仓库()==1 and L执行公会物品转个人()==1			then --
				L背包处理()
				L信息("正执行公会物品转个人仓库...")
				goto Next
			end 
	

			if Fn_提升战力()==1			then --
				goto Next
			end 

			if Fn_商店赌博()==1			then --
				L信息("商店赌博装备中...")
				goto Next
			end 
			if  Fn_自动兑换通货()==1			then --
				L信息("正在进行通货兑换中...")
				goto Next
			end 

			if Fn_藏身处领取NPC奖励()==1		then --
				L信息("查看是否有奖励需要领取...")
				goto Next
			end 

			_城镇事件不处理=0
			L累计刷图次数(0)
		end 
		
		if Fn_购买知识卷轴()==1			then --
			goto Next
		end 

		if L地图合成()==1	then 
	
			L信息("正在合成不需要的地图...这个过程根据你仓库与背包里地图的数量决定时间长短..")
			goto Next
		end


		if L自动倒货()==1			then --
			L信息("当前处于倒货中...")
			L仓库页最大读取页数(20)

			G交易完返回自己藏身处=2
			goto Next
		else 
			L仓库页最大读取页数(g常规设置.仓库页最大读取页数)
			G交易完返回自己藏身处=0
		end 



		if g常规设置.地图不足时商店购买==1		then 
			if	L缺少异界地图()==1			then --
				if L事件计时(_缺少地图)>3	then 
					L信息("当前缺少可刷的异界地图....")
					Fn_购买异界地图()
				end
				goto Next
			else 
				g仓库取图是否成功=0
			end
		end
		L重置所有事件计数()
		-- if L背包满事件()==1			then --
		-- 	L地图是否完成(0)
		-- end
		if	Fn_异界开图()==1		then --
			goto Next
		end
	

	end







	--
	L设置探索地图(1)


	--Fn_城镇物品处理()
::Next::

end

